# Files You can use the operations contained in this section to retrieve files such as export results, invoices, accounting period reports, and so on. ## Retrieve a file - [GET /v1/files/{file-id}](https://developer.zuora.com/v1-api-reference/api/files/get_files.md): Retrieve files such as export results, invoices, and accounting period reports. The response content type depends on the type of file that you retrieve. For example, if you retrieve an invoice PDF, the value of the Content-Type header in the response is application/pdf;charset=UTF-8. Other content types include: - text/csv for CSV files - application/msword for Microsoft Word files - application/vnd.ms-excel and application/vnd.openxmlformats-officedocument.spreadsheetml.sheet for Microsoft Excel files (.xls and .xlsx respectively) - application/zip and application/x-gzip for ZIP and Gzip files respectively - text/html for HTML files - text/plain for text files The response always contains character encoding information in the Content-Type header. For example, Content-Type: application/zip;charset=UTF-8. Note: The maximum file size is 2,047 MB. If you have a data request that exceeds this limit, Zuora returns the following 403 response: 2047MB. Submit a request at Zuora Global Support to determine if large file optimization is an option for you. ## Restore a file - [PUT /v1/files/{file-id}/restore](https://developer.zuora.com/v1-api-reference/api/files/put_files.md): Restores a previously archived file to its RESTORED status. Once a file is archived, it cannot be used directly until the file is restored using this API. ### Notes - This API operation will fail if the count of restored files exceeds the quota limit (1000 by default) in the past 24 hours. - The actual restoration process may take between 12 to 48 hours to complete. - You can monitor the status of the file restoration process using the Retrieve file status API operation until the status transitions to RESTORED. ## Retrieve file status - [GET /v1/files/{file-id}/status](https://developer.zuora.com/v1-api-reference/api/files/get_filestatus.md): Retrieves the status of the file.